#include "app_util_platform.h"
#include "nrf_gpio.h"
#include "nrf_delay.h"
#include "boards.h"
#include "app_error.h"
#include <string.h>
#include "nrf_log.h"
#include "nrf_log_ctrl.h"
#include "nrf_log_default_backends.h"

#include "board.h"
#include "driver.h"

int main(void)
{
    unsigned int cnt = 0;
    APP_ERROR_CHECK(NRF_LOG_INIT(NULL));
    NRF_LOG_DEFAULT_BACKENDS_INIT();

    drv_open(&led_1);
    drv_open(&lcd);

    NRF_LOG_INFO("SPI example started.");

    while(1) {
        char c = (cnt++ % 2) + 0x30;
        drv_write(&led_1, &c, 1);

        NRF_LOG_FLUSH();

        nrf_delay_ms(200);
    }
}
